#!/bin/bash

export DIR_BASE="/srv"
export KEEP_BUILDS=3

# Bash strict mode
set -euo pipefail
IFS=$'\n\t'

# Allow this script to be run only by ubuntu-it
if [[ "$(whoami)" != "ubuntu-it-web" ]]; then
    echo "Error: this script must be executed by the ubuntu-it-web user"
    exit 1
fi

base="$( cd "$(dirname "${BASH_SOURCE[0]}")" && pwd )"

# Include all the utilities from the subfiles
# shellcheck disable=1090
. "${base}/flock.sh"  # prevent this script from running twice together
# shellcheck disable=1090
. "${base}/bzr.sh"
# shellcheck disable=1090
. "${base}/git.sh"
# shellcheck disable=1090
. "${base}/deploy.sh"
# shellcheck disable=1090
. "${base}/macros.sh"

unset base
