#!/bin/bash


# Do everything needed for a static website on bzr
#
# $ macros_static_website_bzr chat.ubuntu-it.org lp:~ubuntu-it-www/ubuntu-it-www/chat
macros_static_website_bzr() {
    name="$1"
    repo_url="$2"

    repo="$(bzr_clone_repo "${name}" "${repo_url}")"

    if bzr_needs_update "${name}"; then
        deploy="$(deploy_new "${name}")"
        cp -r "${repo}/www"/* "${deploy}"

        bzr_save_revision "${name}" "${deploy}"
        deploy_switch "${name}" "${deploy}"
    fi
}


# Do everything needed for a static website on git
#
# $ macros_static_website_git chat.ubuntu-it.org git@code.ubuntu-it.org:ubuntu-it-web/chat.git
macros_static_website_git() {
    name="$1"
    repo_url="$2"

    repo="$(git_clone_repo "${name}" "${repo_url}")"

    if git_needs_update "${name}"; then
        deploy="$(deploy_new "${name}")"
        cp -r "${repo}/www"/* "${deploy}"

        git_save_revision "${name}" "${deploy}"
        deploy_switch "${name}" "${deploy}"
    fi
}
